Description

History

#2 - Mar 07, 2018 03:21 PM - Pasquale Pagano

any news?

#3 - Mar 07, 2018 03:24 PM - Andrea Dell'Amico

The existing VMs were fixed as soon as the problem arised. | just started studying a permanent solution.

#4 - Mar 07, 2018 03:55 PM - Andrea Dell'Amico

A couple of possible solutions:

e https://blog.daknob.net/debian-firewall-docker/

¢ https://github.com/moby/moby/issues/12294

One of the proposals in the second thread is much easier to implement than the first one, but it's also less elegant.

#5 - Mar 19, 2018 03:31 PM - Andrea Dell'Amico

- Status changed from New to In Progress

I'm implementing the following option: the docker demon will be restarted just after the iptables service. No container is going to be affected.

#6 - Mar 19, 2018 03:46 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

| have a fix that I'm going to test at the next service reconfiguration.

#7 - Mar 19, 2018 06:46 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

Successfully tested.
